curl --request POST \
--url https://api.yourapp.com/api/tools/tool_123/activate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"toolId": "tool_123",
"activeState": true
}'
const response = await fetch('https://api.yourapp.com/api/tools/tool_123/activate', {
method: 'POST',
headers: {
'Authorization': 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
toolId: 'tool_123',
activeState: true
})
});
const data = await response.json();
import requests
url = "https://api.yourapp.com/api/tools/tool_123/activate"
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
payload = {
"toolId": "tool_123",
"activeState": True
}
response = requests.post(url, json=payload, headers=headers)
data = response.json()
{
"success": true,
"message": "Tool activation updated successfully"
}
{
"success": true,
"message": "Tool activation updated successfully"
}
{
"success": false,
"message": "Unauthorized"
}
Tools
Toggle Activation
Activates or deactivates a tool by toggling its enabled state
POST
/
api
/
tools
/
{id}
/
activate
curl --request POST \
--url https://api.yourapp.com/api/tools/tool_123/activate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"toolId": "tool_123",
"activeState": true
}'
const response = await fetch('https://api.yourapp.com/api/tools/tool_123/activate', {
method: 'POST',
headers: {
'Authorization': 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
toolId: 'tool_123',
activeState: true
})
});
const data = await response.json();
import requests
url = "https://api.yourapp.com/api/tools/tool_123/activate"
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
payload = {
"toolId": "tool_123",
"activeState": True
}
response = requests.post(url, json=payload, headers=headers)
data = response.json()
{
"success": true,
"message": "Tool activation updated successfully"
}
{
"success": true,
"message": "Tool activation updated successfully"
}
{
"success": false,
"message": "Unauthorized"
}
Path Parameters
string
required
Tool ID
Request Body
string
required
Tool ID (must match path parameter)
boolean
required
Active state to set
true- Activate the toolfalse- Deactivate the tool
Response
boolean
Indicates if the operation was successful
string
Response message
curl --request POST \
--url https://api.yourapp.com/api/tools/tool_123/activate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"toolId": "tool_123",
"activeState": true
}'
const response = await fetch('https://api.yourapp.com/api/tools/tool_123/activate', {
method: 'POST',
headers: {
'Authorization': 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
toolId: 'tool_123',
activeState: true
})
});
const data = await response.json();
import requests
url = "https://api.yourapp.com/api/tools/tool_123/activate"
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
payload = {
"toolId": "tool_123",
"activeState": True
}
response = requests.post(url, json=payload, headers=headers)
data = response.json()
{
"success": true,
"message": "Tool activation updated successfully"
}
{
"success": true,
"message": "Tool activation updated successfully"
}
{
"success": false,
"message": "Unauthorized"
}
⌘I

